Subject: Re: bug#10693: guild compile --load-path value is not processed with scm_parse_path, GUILE_LOAD_PATH env variable value is parsed.

From: [email-masked] (Ludovic Courtès)
Date: Thu, 02 Feb 2012 23:39:14 +0100

Hi,

Mark H Weaver <[email-masked]> skribis:

> Ian Hulin <[email-masked]> writes:
>> ian@nanny-ogg ~/src/lilypond (T2026-1)>> guild compile
>> --load-path="/home/ian/src/lilypond:/home/ian/src/lilypond/scm"
>
> According to both the Guile manual and the output of "guile compile -h":
>
>   -L, --load-path=DIR   add DIR to the front of the module load path
>
> In other words, it behaves as documented.  The idea is that you should
> pass multiple --load-path options, one for each DIR.

[...]

> We might want to change the long option name (while continuing to accept
> --load-path for backward compatibility), but I can't think of a good
> name.  Any suggestions?

As discussed on IRC, I agree that the long name can be misleading.

Yet, I’d rather keep it, especially since the doc is non-ambiguous and
‘-L’ looks familiar.

Done?  :-)

Thanks,
Ludo’.